package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (25/01/2012)
 */
public class P06B49T00Datatype implements Serializable {
		
	private String ejercicio = "";
	private String numExp = "";
	private String impNetoAfecComis = "";
	private String impNetoAfecHonor = "";
	private String impNetoResto = "";
	private String ingrOtrosAfec = "";
	private String ingrOtrosResto = "";
	private String gastPerAfec = "";
	private String gastPerResto = "";
	private String gastOtrosAfec = "";
	private String gastOtrosResto = "";
	private String ingrFinancAfec = "";
	private String ingrFinancResto = "";
	private String gastFinancAfec = "";
	private String gastFinancResto = "";
	


	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
		
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the impNetoAfecComis.
	 */
	public String getImpNetoAfecComis() {
		return impNetoAfecComis;
	}
	/**
	 * @param impNetoAfecComis The impNetoAfecComis to set.
	 */
	public void setImpNetoAfecComis(String impNetoAfecComis) {
		this.impNetoAfecComis = impNetoAfecComis;
	}
	
	/**
	 * @return Returns the impNetoAfecHonor.
	 */
	public String getImpNetoAfecHonor() {
		return impNetoAfecHonor;
	}
	/**
	 * @param impNetoAfecHonor The impNetoAfecHonor to set.
	 */
	public void setImpNetoAfecHonor(String impNetoAfecHonor) {
		this.impNetoAfecHonor = impNetoAfecHonor;
	}
	
	/**
	 * @return Returns the impNetoResto.
	 */
	public String getImpNetoResto() {
		return impNetoResto;
	}
	/**
	 * @param impNetoResto The impNetoResto to set.
	 */
	public void setImpNetoResto(String impNetoResto) {
		this.impNetoResto = impNetoResto;
	}
	
	/**
	 * @return Returns the ingrOtrosAfec.
	 */
	public String getIngrOtrosAfec() {
		return ingrOtrosAfec;
	}
	/**
	 * @param ingrOtrosAfec The ingrOtrosAfec to set.
	 */
	public void setIngrOtrosAfec(String ingrOtrosAfec) {
		this.ingrOtrosAfec = ingrOtrosAfec;
	}
	
	/**
	 * @return Returns the ingrOtrosResto.
	 */
	public String getIngrOtrosResto() {
		return ingrOtrosResto;
	}
	/**
	 * @param ingrOtrosResto The ingrOtrosResto to set.
	 */
	public void setIngrOtrosResto(String ingrOtrosResto) {
		this.ingrOtrosResto = ingrOtrosResto;
	}
	
	/**
	 * @return Returns the gastPerAfec.
	 */
	public String getGastPerAfec() {
		return gastPerAfec;
	}
	/**
	 * @param gastPerAfec The gastPerAfec to set.
	 */
	public void setGastPerAfec(String gastPerAfec) {
		this.gastPerAfec = gastPerAfec;
	}
	
	/**
	 * @return Returns the gastPerResto.
	 */
	public String getGastPerResto() {
		return gastPerResto;
	}
	/**
	 * @param gastPerResto The gastPerResto to set.
	 */
	public void setGastPerResto(String gastPerResto) {
		this.gastPerResto = gastPerResto;
	}
	
	/**
	 * @return Returns the gastOtrosAfec.
	 */
	public String getGastOtrosAfec() {
		return gastOtrosAfec;
	}
	/**
	 * @param gastOtrosAfec The gastOtrosAfec to set.
	 */
	public void setGastOtrosAfec(String gastOtrosAfec) {
		this.gastOtrosAfec = gastOtrosAfec;
	}
	
	/**
	 * @return Returns the gastOtrosResto.
	 */
	public String getGastOtrosResto() {
		return gastOtrosResto;
	}
	/**
	 * @param gastOtrosResto The gastOtrosResto to set.
	 */
	public void setGastOtrosResto(String gastOtrosResto) {
		this.gastOtrosResto = gastOtrosResto;
	}
	
	/**
	 * @return Returns the ingrFinancAfec.
	 */
	public String getIngrFinancAfec() {
		return ingrFinancAfec;
	}
	/**
	 * @param ingrFinancAfec The ingrFinancAfec to set.
	 */
	public void setIngrFinancAfec(String ingrFinancAfec) {
		this.ingrFinancAfec = ingrFinancAfec;
	}
	
	/**
	 * @return Returns the ingrFinancResto.
	 */
	public String getIngrFinancResto() {
		return ingrFinancResto;
	}
	/**
	 * @param ingrFinancResto The ingrFinancResto to set.
	 */
	public void setIngrFinancResto(String ingrFinancResto) {
		this.ingrFinancResto = ingrFinancResto;
	}
	
	/**
	 * @return Returns the gastFinancAfec.
	 */
	public String getGastFinancAfec() {
		return gastFinancAfec;
	}
	/**
	 * @param gastFinancAfec The gastFinancAfec to set.
	 */
	public void setGastFinancAfec(String gastFinancAfec) {
		this.gastFinancAfec = gastFinancAfec;
	}
	
	/**
	 * @return Returns the gastFinancResto.
	 */
	public String getGastFinancResto() {
		return gastFinancResto;
	}
	/**
	 * @param gastFinancResto The gastFinancResto to set.
	 */
	public void setGastFinancResto(String gastFinancResto) {
		this.gastFinancResto = gastFinancResto;
	}
	
	
	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; impNetoAfecComis: ");
		textoImprimir.append(impNetoAfecComis);
		textoImprimir.append("; impNetoAfecHonor: ");
		textoImprimir.append(impNetoAfecHonor);
		textoImprimir.append("; impNetoResto: ");
		textoImprimir.append(impNetoResto);
		textoImprimir.append("; ingrOtrosAfec: ");
		textoImprimir.append(ingrOtrosAfec);
		textoImprimir.append("; ingrOtrosResto: ");
		textoImprimir.append(ingrOtrosResto);
		textoImprimir.append("; gastPerAfec: ");
		textoImprimir.append(gastPerAfec);
		textoImprimir.append("; gastPerResto: ");
		textoImprimir.append(gastPerResto);
		textoImprimir.append("; gastOtrosAfec: ");
		textoImprimir.append(gastOtrosAfec);
		textoImprimir.append("; gastOtrosResto: ");
		textoImprimir.append(gastOtrosResto);
		textoImprimir.append("; ingrFinancAfec: ");
		textoImprimir.append(ingrFinancAfec);
		textoImprimir.append("; ingrFinancResto: ");
		textoImprimir.append(ingrFinancResto);
		textoImprimir.append("; gastFinancAfec: ");
		textoImprimir.append(gastFinancAfec);
		textoImprimir.append("; gastFinancResto: ");
		textoImprimir.append(gastFinancResto);
				
		return textoImprimir.toString();
	}
	

}
